# Revisione letteraria

La presente revisione letteraria introduce il concetto di fusione di dati. Sono presentate alcune diverse definizioni del termine, insieme alla storia della tecnica e ad alcune considerazioni generali sui suoi vantaggi, svantaggi e difficoltà principali. Successivamente è presentato un confronto tra alcuni dei principali studi sulla sua applicazione in ambito chemiometrico. I diversi documenti di ricerca presentano definizioni spesso simili di fusione di dati, ma con variazioni proceduali significative. Alcune di esse hanno fornito lo spunto per lo sviluppo di nuove opzioni di fusione in ChemFuseKit. In questa sezione verranno confrontati sei studi rilevanti, evidenziando le diverse tecniche di fusione utilizzate, i livelli di fusione (basso, medio e alto) e le applicazioni specifiche.

## La fusione di dati

INSERIRE PARAGRAFO RIORDINATO

## Stato dell'arte della fusione dei dati

La principale applicazione della fusione di dati in ambito chemiometrico, nella letteratura di ricerca, sembra essere l'analisi alimentare. Confrontiamo in questa sezione sei studi, ritenuti i più rilevanti tra quelli considerati. Di essi, tre si concentrano sull'analisi degli oli vegetali (Bajoub, Medina-Rodríguez, Gómez-Romero, El Amine, Bagur-Gonzáles, Fernández-Gutiérrez, Carrasco-Pancorbo, 2017; Liu, Chen, Shi, Yang, Han, 2020; Zhou, Li, Zhao, Chen, Zhang, 2022), uno sull'analisi generale della qualità di cibo e bevande (Borrás, Ferré, Boqué, Mestres, Aceña, Busto, 2015) e due sull'analisi della frutta (Di Natale, Zude-Sasse, Macagnano, Paolesse, Herold, D'Amico, 2002; Cuevas, Pereira-Caro, Moreno-Rojas, Muñoz-Redondo, Ruiz-Moreno, 2017). È stato possibile reperire un solo studio sull'utilizzo della fusione di dati per la chemiometria forense (Trejos, Torrione, Corzo, Raeva, Subedi, Williamson, Yoo, Almirall, 2016), peraltro incentrato sul ristrettissimo ambito dell'analisi degli inchiostri. Nessuno tra gli studi considerati ha unito l'uso di sensori in tempo reale, la fusione dei dati e l'analisi chemiometrica in un unico processo. Questo conferma l'innovatività dell'approccio del progetto RISEN.

Nella letteratura considerata, eccezion fatta per un singolo studio (Zhou et al., 2022), viene espressa una distinzione tra fusione di dati a basso livello e fusione di dati a medio livello. La fusione di dati a basso livello è presentata come accostamento o concatenazione orizzontale di tabelle contenenti dati provenienti da diversi sensori, ma riferiti agli stessi campioni (Borrás et al., 2015; Bajoub et al., 2017). Esiste una definizione alternativa di fusione a basso livello, basata sull’algebra delle matrici (Di Natale et al., 2002; Borrás et al, 2015). Le tabelle da fondere sono prese a coppie e trattate come matrici. La loro fusione corrisponde al risultato del loro prodotto diadico. Questa operazione tra matrici bidimensionali produce una matrice tridimensionale. Sezioni bidimensionali della matrice fusa, corrispondendti a singoli campioni, possono essere utilizzate come regressori per algoritmi che permettano di lavorare con regressori multidimensionali, ad esempio PLSDA (Di Natale et al., 2002). In alternativa, i valori della matrice tridimensionale possono essere sommati lungo uno dei due assi perpendicolari alle due matrici originali, producendo come risultato una matrice bidimensionale (Di Natale et al., 2002; Borrás et al, 2015).

Un singolo studio (Zhou et al., 2022) utilizza esclusivamente fusione a basso livello. Tutti gli altri impiegano, almeno parzialmente, la fusione a medio livello. Due di essi (Borrás et al., 2015; Bajoub et al., 2017) la confrontano con la fusione a basso livello, mentre gli altri utilizzano esclusivamente il medio livello. La fusione a medio livello è definita come concatenazione delle caratteristichce estratte dalle tabelle dei diversi sensori (Borrás et al., 2015; Bajoub et al., 2017). I vantaggi dell'approccio consistono nella riduzione del *block noise* e della distorsione dimensionale, definita come predominanza delle fonti di dati ad alta dimensionalità a scapito delle fonti a bassa dimensionalità. Nella fusione a basso livello, infatti, spesso il segnale utile apportato da fonti ad alta dimensionalità non è sufficiente a compensare la quantità elevata di dati irrilevanti che lo accompagnano (Cuevas et al., 2017). L’approccio a medio livello, pur mitigando questo problema, presenta una difficoltà aggiuntiva rispetto al metodo a basso livello. La decisione del metodo per l’estrazione delle caratteristiche è altamente rilevante, quindi esso deve essere scelo e impostato correttamente per ogni singola fonte di dati (Borrás et al., 2015; Cuevas et al., 2017). Le tecniche più comuni per l’estrazione delle caratteristiche nella fusione a medio livello sono la PCA (Borrás et al., 2015), la PLSDA (Liu et al., 2020), o una combinazione di entrambe (Borrás et al., 2015).

Esiste anche un terzo tipo di fusione dei dati, la fusione ad alto livello (Borrás et al, 2015; Liu et al., 2020), definita come un sistema a voti basato su risultati di analisi individuali, effettuate sui dati dei singoli sensori. Essendo individuali, le analisi possono usare tecniche di classificazione diverse tra loro, per meglio adattarsi alle specificità dei singoli sensori. Dai risultati finali delle singole analisi viene estratta una mediana pesata, che consideri la rilevanza dei diversi sensori (Borrás et al., 2015). Nessuno degli studi considerati utilizza effettivamente questa tecnica nelle proprie analisi. Ai fini di questo progetto, la letteratura aggiunge un'ulteriore informazione rilevante. Tra gli studi considerati, quelli che utilizzano sensori spettrali di tipologie diverse (Borrás et al., 2015; Liu et al., 2020; Zhou et al., 2022) concordano nell’asserire la necessità di normalizzare i dati spettrali tramite preprocessamento SNV, prima di effettuare la fusione, per prepararli alla successiva classificazione.


## Confronto con altre soluzioni

